<?php
require_once("../../includes/bootstrap.php");
$sesion = new sesion(); // inicio la sesion
//---------------
//cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

$academia = bootstrap::initBd($sesion->get('anio'));
$mayus_nom = $sesion->getVar('configuracion.format_nom');
require_once("../../includes/Parser.php");
$tipoHoja = $_GET['tipohoja'];
$print = ($_GET['tipoprint'] == 'view') ? FALSE : TRUE;
?>
<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>Cuadro de honor</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width">
        <?php
        if ($tipoHoja == 0) {
            echo '<link href="../../css/formato_hoja_carta.css" rel="stylesheet" type="text/css">';
        } else {
            echo '<link href="../../css/formato_hoja_oficio.css" rel="stylesheet" type="text/css">';
        }
        ?>
        <link href="../../css/formato_print.css" rel="stylesheet" type="text/css">
        <script type="text/javascript">
<?php
echo ($print) ? 'window.print(); window.close()' : ''
?>
        </script>
    </head>
    <body>

        <?php
        $tmplEncabezado = '<table align="center" class="print-encabezado">'
                . '<tr><td align="center"><b>{nom_colegio}</b></td></tr>'
                . '<tr><td align="center"><b>Sección:</b> {seccion}</td></tr>'
                . '<tr><td align="center"><b>Cuadro de honor - {anio}</b></td></tr>'
                . '</table>';

        $codigos = $_GET['codgru'];
        $codigos = trim($codigos, ',');
        $codigos=str_replace(",,",",",$codigos);
         
        $sql = "select * from view_cuadro_honor where codgrupo in(" . $codigos . ") ORDER BY seccion asc, promedio_est desc";
        echo $sql;
        $academia->instruccion($sql);
        $i = 1;
        $seccion = -1;
        $parse = new CI_Parser();
        $nomColegio = strtoupper($sesion->getVar('info_colegio.nombre'));
        $nomgrupo = $sesion->getVar('configuracion.nombres_grupos');
	$fotter=$dtsLang['project']['nom_soft'] . ' ' . $dtsLang['project']['ver_soft']. ' '.$dtsLang['project']['footertext'];
        $pie_pagina = getFotter('',$fotter ,'');
        
        while ($reg = $academia->extraer_registro()) {
            if ($seccion != $reg['seccion']) {
                $i = 1;
                $dtsEsquema = array(
                    'nom_colegio' => $nomColegio,
                    'nom_sede' => $reg['nom_sede'],
                    'nom_grupo' => $reg[$nomgrupo],
                    'nom_jornada' => $reg['nom_jornada'],
                    'anio' => $sesion->get('anio'),
                    'seccion' => $reg['seccion']
                );

                echo ($seccion != '-1') ? '</table>' . $pie_pagina . '<div id="salto" class="salto"></div>' : '';
                echo $parse->parse($tmplEncabezado, $dtsEsquema, true);
                echo '<table class="table-print">
            <tr>
                <th>N° Identificación</th> 
                <th>Apellidos y nombres</th>
                <th>Sede</th>
                <th>Jornada</th>
                <th>Grupo</th>
                <th>Promedio</th>
                <th>Puesto</th>
            </tr>';
                $seccion = $reg['seccion'];
            }

            $tr = '
        <tr>
            <td>' . $reg['numedocumento_est'] . '</td>
            <td>' . formatoPalabras($reg['nom_ape'], $mayus_nom) . '</td>
            <td>' . $reg['nom_sede'] . '</td>    
            <td>' . $reg['nom_jornada'] . '</td>    
            <td>' . $reg[$nomgrupo] . '</td>        
            <td class="center">' . numberFormat($reg['promedio_est']) . '</td>
            <td class="center">' . $i++ . '</td>
        </tr>';
            echo $tr;
        }
        $academia->liberar();
        $academia->cerrar();
        ?>
    </table><?php echo $pie_pagina ?>
</body>
</html>